<script setup>
import { init as oxydInit, crypto, utils, services } from '@coldwire/liboxyd'
import { RouterView } from 'vue-router'
import { onBeforeMount, ref } from 'vue'

const isLiboxydLoaded = ref(false)

onBeforeMount(async () => {
  window.liboxyd = {
    crypto,
    utils,
    services
  }
  oxydInit(import.meta.env.VITE_BASE_API_URL).then(() => isLiboxydLoaded.value = true)
})

</script>

<template>
  <RouterView v-if="isLiboxydLoaded" />
</template>

<style lang="scss">
#app {
  width: 100vw;
  height: 100vh;
}

#init-scss {}
</style>
